#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_get_privileged_qkey, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x60992943, "");
SYMBOL_CRC(__ib_alloc_pd, 0x94cb8bbd, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x873c8d80, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x03e092e8, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xc839f4f2, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xd30b790c, "");
SYMBOL_CRC(rdma_create_ah, 0xb9a3744e, "");
SYMBOL_CRC(rdma_create_user_ah, 0x4beca349, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xb998475c, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0x4e863a0d, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xcb2b45c1, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xcda180f8, "");
SYMBOL_CRC(rdma_modify_ah, 0xbe6358a0, "");
SYMBOL_CRC(rdma_query_ah, 0x9f7e4bdc, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x4bdefb68, "");
SYMBOL_CRC(ib_create_srq_user, 0x3bc7f8cc, "");
SYMBOL_CRC(ib_modify_srq, 0xcb116da4, "");
SYMBOL_CRC(ib_query_srq, 0x7e5324b2, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xb57095b8, "");
SYMBOL_CRC(ib_open_qp, 0xaf5faeb4, "");
SYMBOL_CRC(ib_create_qp_user, 0xf508eb39, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xd6f3fdb7, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x38e59ef6, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x359f25fa, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0xab62888d, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x076b9ed8, "");
SYMBOL_CRC(ib_get_eth_speed, 0x7a306530, "");
SYMBOL_CRC(ib_modify_qp, 0xfa755e29, "");
SYMBOL_CRC(ib_query_qp, 0xe6fe2e7b, "");
SYMBOL_CRC(ib_close_qp, 0xa7bb619e, "");
SYMBOL_CRC(ib_destroy_qp_user, 0xe426493e, "");
SYMBOL_CRC(__ib_create_cq, 0x5831e64c, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x2bd67d90, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x29df74dd, "");
SYMBOL_CRC(ib_resize_cq, 0x36cb8442, "");
SYMBOL_CRC(ib_reg_user_mr, 0xfb1b530b, "");
SYMBOL_CRC(ib_advise_mr, 0x547b700c, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x4b42c3ca, "");
SYMBOL_CRC(ib_alloc_mr, 0xcc34304c, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x2e45c9b3, "");
SYMBOL_CRC(ib_attach_mcast, 0x3e3bc7da, "");
SYMBOL_CRC(ib_detach_mcast, 0xf3afcfcb, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xd98f2909, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x2fc97fc8, "");
SYMBOL_CRC(ib_create_wq, 0x895ec27c, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x70d9f296, "");
SYMBOL_CRC(ib_check_mr_status, 0x111badba, "");
SYMBOL_CRC(ib_set_vf_link_state, 0xdb0a8ced, "");
SYMBOL_CRC(ib_get_vf_config, 0xf36e43c2, "");
SYMBOL_CRC(ib_get_vf_stats, 0x8ef5616b, "");
SYMBOL_CRC(ib_set_vf_guid, 0x1b80bd1b, "");
SYMBOL_CRC(ib_get_vf_guid, 0x097e10ff, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xaf0a5ed7, "");
SYMBOL_CRC(ib_map_mr_sg, 0x93412b72, "");
SYMBOL_CRC(ib_sg_to_pages, 0x740bc6aa, "");
SYMBOL_CRC(ib_drain_sq, 0x9813a45d, "");
SYMBOL_CRC(ib_drain_rq, 0xcae9af8f, "");
SYMBOL_CRC(ib_drain_qp, 0xaf0e574a, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x2284ffd1, "");
SYMBOL_CRC(rdma_init_netdev, 0x37ed2e62, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0xf5a372a2, "");
SYMBOL_CRC(__ib_alloc_cq, 0x6dc49563, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xdc62cc38, "");
SYMBOL_CRC(ib_free_cq, 0x1ebbbe09, "");
SYMBOL_CRC(ib_cq_pool_get, 0x355696b6, "");
SYMBOL_CRC(ib_cq_pool_put, 0xcbe4f356, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0xe7e32953, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xa7071478, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x47679934, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x2d4ab9e0, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xf7fadecc, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x491083ff, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x333d3090, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0xcd19bc2d, "");
SYMBOL_CRC(ib_port_register_client_groups, 0xa8423ece, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xe7c527aa, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x79879f86, "");
SYMBOL_CRC(ibdev_printk, 0xd37b661b, "");
SYMBOL_CRC(ibdev_emerg, 0xf84086f8, "");
SYMBOL_CRC(ibdev_alert, 0x8da34849, "");
SYMBOL_CRC(ibdev_crit, 0xf31a0106, "");
SYMBOL_CRC(ibdev_err, 0x53d69b23, "");
SYMBOL_CRC(ibdev_warn, 0xa3fc9179, "");
SYMBOL_CRC(ibdev_notice, 0xdc0895a8, "");
SYMBOL_CRC(ibdev_info, 0x5560c75b, "");
SYMBOL_CRC(ib_device_put, 0x9390e069, "");
SYMBOL_CRC(ib_device_get_by_name, 0x0fb180c1, "");
SYMBOL_CRC(_ib_alloc_device, 0x8d01cf9d, "");
SYMBOL_CRC(ib_dealloc_device, 0x142c1fcb, "");
SYMBOL_CRC(ib_port_immutable_read, 0x1f4bc54a, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xd9251b4d, "");
SYMBOL_CRC(ib_register_device, 0xf067023b, "");
SYMBOL_CRC(ib_unregister_device, 0xdafab15d, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0xb54b9544, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x114396b8, "");
SYMBOL_CRC(ib_register_client, 0xd5f2c224, "");
SYMBOL_CRC(ib_unregister_client, 0xbb63dabb, "");
SYMBOL_CRC(ib_set_client_data, 0x60032058, "");
SYMBOL_CRC(ib_register_event_handler, 0xe5412774, "");
SYMBOL_CRC(ib_unregister_event_handler, 0x4563faff, "");
SYMBOL_CRC(ib_query_port, 0x0e76000c, "");
SYMBOL_CRC(ib_device_set_netdev, 0x83594be6, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x339d131e, "");
SYMBOL_CRC(ib_query_pkey, 0x04d02940, "");
SYMBOL_CRC(ib_modify_device, 0xe712fdc7, "");
SYMBOL_CRC(ib_modify_port, 0x1a8948c0, "");
SYMBOL_CRC(ib_find_gid, 0xbfa8914a, "");
SYMBOL_CRC(ib_find_pkey, 0x5a18610d, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0x8da0f7e3, "");
SYMBOL_CRC(ib_set_device_ops, 0xfeecfe64, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xdf17b052, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x19068361, "");
SYMBOL_CRC(rdma_query_gid, 0x3908c6b7, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0xe8cbadbb, "");
SYMBOL_CRC(rdma_find_gid, 0x1d3906f3, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x68ad43a2, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xeb26ebe7, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xbe5e4e15, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xf6667be9, "");
SYMBOL_CRC(ib_get_cached_lmc, 0x87dd555a, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x85ed59b7, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x7b682474, "");
SYMBOL_CRC(rdma_query_gid_table, 0x15726998, "");
SYMBOL_CRC(rdma_put_gid_attr, 0x20d92d83, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x89b33a90, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xd810c998, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0xd1cb6b12, "");
SYMBOL_CRC(ib_dispatch_event, 0x85cd7227, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0xf00be3f5, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xaffedfb9, "");
SYMBOL_CRC(ibnl_put_attr, 0xbcaf14b9, "");
SYMBOL_CRC(rdma_nl_unicast, 0x2c5f08b4, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x8760e572, "");
SYMBOL_CRC(rdma_nl_multicast, 0xce730c03, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x6925fb3f, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x33eed719, "");
SYMBOL_CRC(ib_mr_pool_get, 0x13a08528, "");
SYMBOL_CRC(ib_mr_pool_put, 0x1ce5dbdb, "");
SYMBOL_CRC(ib_mr_pool_init, 0xa921daaa, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0xb1ba82e3, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x619f5604, "");
SYMBOL_CRC(rdma_translate_ip, 0xb7fd88eb, "");
SYMBOL_CRC(rdma_resolve_ip, 0x02963add, "");
SYMBOL_CRC(rdma_addr_cancel, 0x4d74fcaf, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xd8895b05, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x9bd55ee3, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xe13ea5cb, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x1d94bc57, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xa6a13e12, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x195a65a7, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0xb049ea5b, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xc9b9d3f7, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x0d697893, "");
SYMBOL_CRC(ib_create_send_mad, 0xd2d4d55d, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x5087af54, "");
SYMBOL_CRC(ib_free_send_mad, 0xcb3c5474, "");
SYMBOL_CRC(ib_post_send_mad, 0xd4ae4a64, "");
SYMBOL_CRC(ib_free_recv_mad, 0x245f7cdd, "");
SYMBOL_CRC(ib_modify_mad, 0xd7006d65, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x286b5179, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x87cba3e8, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x17db033c, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x3b007c07, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x94b84d19, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xfcd0187b, "");
SYMBOL_CRC(rdma_link_register, 0x50bea08c, "");
SYMBOL_CRC(rdma_link_unregister, 0x1416191b, "");
SYMBOL_CRC(rdma_restrack_count, 0x87cc36ac, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x0e9e4e88, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x67f6d42a, "");
SYMBOL_CRC(rdma_restrack_new, 0x827124ef, "");
SYMBOL_CRC(rdma_restrack_add, 0x3f033cb4, "");
SYMBOL_CRC(rdma_restrack_get, 0x21a00ad5, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x42577295, "");
SYMBOL_CRC(rdma_restrack_put, 0xe2798a0d, "");
SYMBOL_CRC(rdma_restrack_del, 0x48a4bbfe, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xb0956202, "");
SYMBOL_CRC(rdma_user_mmap_io, 0xc3ad1381, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0xc5fc7b40, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x32a7fb37, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xdb2ada36, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0xdaa8b561, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xeb57d987, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x4d1ccc3e, "");
SYMBOL_CRC(ib_create_qp_security, 0xe51b401e, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x38bc5a6f, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xdeb645b2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5b627e9, "dev_get_by_index" },
	{ 0x3ea17657, "kfree_skb_reason" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x84ece7bf, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf753b1b3, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1eb0bbdc, "netlink_kernel_release" },
	{ 0xe56d2aba, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd4f1b4f6, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xde3f6062, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0xd1bf36b, "bpf_trace_run1" },
	{ 0xc1d5dc20, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xd2c1c247, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0xd2caea66, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xac30644d, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xece784c2, "rb_first" },
	{ 0xb841ccf1, "__neigh_event_send" },
	{ 0xc042552e, "dev_printk_emit" },
	{ 0xa470a528, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xac9a01f9, "skb_trim" },
	{ 0xf8272754, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xf3ea4388, "netdev_walk_all_upper_dev_rcu" },
	{ 0x7ea43bca, "bpf_trace_run3" },
	{ 0x307b246c, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x92921fbc, "_dev_notice" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x63fe071d, "neigh_destroy" },
	{ 0x752b0ca3, "kobject_del" },
	{ 0xb9c2e2b5, "trace_event_buffer_reserve" },
	{ 0x665e83ee, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5fb8c06e, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3ddb6cc2, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x7690c6eb, "dev_get_by_name" },
	{ 0x5e290938, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa267299f, "dst_release" },
	{ 0x99b097e9, "kobject_uevent" },
	{ 0xe1b694d5, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd3e8a307, "vlan_dev_vlan_id" },
	{ 0x394f76eb, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xcf753af5, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9f4963cd, "netlink_has_listeners" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x5727fb1c, "register_pernet_device" },
	{ 0x43b63c55, "get_net_ns_by_fd" },
	{ 0x51b520da, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa7234dd1, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x21c41c04, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x729d5658, "rdmacg_try_charge" },
	{ 0x559ef3d9, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc0bf39d7, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x733cfdd, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe6975a54, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbc791149, "dev_set_name" },
	{ 0x90056a75, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa3a1c4b4, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x88cce6a0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8da0ae03, "__trace_trigger_soft_disabled" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0xfb6c176d, "trace_event_printf" },
	{ 0xca741f67, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc200dd83, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0xc99d7020, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x5d468185, "kobject_init" },
	{ 0x35498160, "device_initialize" },
	{ 0x5255cdcf, "__dynamic_ibdev_dbg" },
	{ 0xadab8b67, "sysfs_create_groups" },
	{ 0x759bb3c6, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8480cf8b, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x137794e2, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0x69a17c59, "__netlink_kernel_create" },
	{ 0x3fe51d75, "bpf_trace_run2" },
	{ 0xd700d5e1, "ip_route_output_flow" },
	{ 0xaa76b6ff, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc612567d, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4224faea, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xa8fa78a8, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x90ae875c, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x3c865d66, "dev_driver_string" },
	{ 0x1929b158, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x44f0a1fc, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfbac3769, "put_device" },
	{ 0x14c988f8, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4cc77ebd, "__alloc_skb" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0x282053d5, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3cf1143f, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x8080adb0, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf900888f, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf44d4059, "_dev_err" },
	{ 0x44ca6d95, "init_net" },
	{ 0x465ee5ac, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x8f3ca561, "ipv6_stub" },
	{ 0x57415e7d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3b3eb36c, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8ae53919, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6435B89F0F69EA8491CD8F9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
