#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xf3bef4f5, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x29536a84, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x72917171, "");
SYMBOL_CRC(rdma_res_to_id, 0xaf638968, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xf031387f, "");
SYMBOL_CRC(rdma_create_user_id, 0x07fbd3f8, "");
SYMBOL_CRC(rdma_create_qp, 0xd647c254, "");
SYMBOL_CRC(rdma_destroy_qp, 0x077b9d76, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xd45f872a, "");
SYMBOL_CRC(rdma_destroy_id, 0xed49593b, "");
SYMBOL_CRC(rdma_get_service_id, 0x05f776fe, "");
SYMBOL_CRC(rdma_read_gids, 0x206537b7, "");
SYMBOL_CRC(rdma_set_service_type, 0xcefc94a7, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x28a69264, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xc56d30d5, "");
SYMBOL_CRC(rdma_set_ib_path, 0x72f4839a, "");
SYMBOL_CRC(rdma_resolve_route, 0xc641e9a7, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x502d3cc3, "");
SYMBOL_CRC(rdma_set_afonly, 0x8d21c747, "");
SYMBOL_CRC(rdma_listen, 0x8fb72b93, "");
SYMBOL_CRC(rdma_resolve_addr, 0xcc77bbe7, "");
SYMBOL_CRC(rdma_bind_addr, 0x825feb1f, "");
SYMBOL_CRC(rdma_connect_locked, 0x44ea3823, "");
SYMBOL_CRC(rdma_connect, 0xb7189222, "");
SYMBOL_CRC(rdma_connect_ece, 0x39291944, "");
SYMBOL_CRC(rdma_accept, 0x9f4d8cc1, "");
SYMBOL_CRC(rdma_accept_ece, 0xa5428562, "");
SYMBOL_CRC(rdma_lock_handler, 0x466968d4, "");
SYMBOL_CRC(rdma_unlock_handler, 0xff2a67ee, "");
SYMBOL_CRC(rdma_notify, 0x23015f9a, "");
SYMBOL_CRC(rdma_reject, 0x050a939c, "");
SYMBOL_CRC(rdma_disconnect, 0x80c9b7bb, "");
SYMBOL_CRC(rdma_join_multicast, 0x3cae9331, "");
SYMBOL_CRC(rdma_leave_multicast, 0xe1146285, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4d74fcaf, "rdma_addr_cancel" },
	{ 0xfedd0c6b, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xa6a13e12, "ib_sa_get_mcmember_rec" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xd5f2c224, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9bd55ee3, "ib_sa_path_rec_get" },
	{ 0x1f60efe5, "ib_create_cm_id" },
	{ 0x10d54f04, "__ip_mc_dec_group" },
	{ 0x8080adb0, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf900888f, "perf_trace_run_bpf_submit" },
	{ 0x195a65a7, "ib_init_ah_from_mcmember" },
	{ 0xcb2b45c1, "rdma_destroy_ah_attr" },
	{ 0x60032058, "ib_set_client_data" },
	{ 0x44ca6d95, "init_net" },
	{ 0x68ad43a2, "ib_get_cached_pkey" },
	{ 0xb8d02f0d, "configfs_register_subsystem" },
	{ 0x63d1fc0e, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x20d92d83, "rdma_put_gid_attr" },
	{ 0x7d74609d, "config_group_init_type_name" },
	{ 0xd5b627e9, "dev_get_by_index" },
	{ 0x1f2a6d39, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x41c30486, "ib_send_cm_rep" },
	{ 0xf753b1b3, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6d1efe5, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xd1bf36b, "bpf_trace_run1" },
	{ 0xe426493e, "ib_destroy_qp_user" },
	{ 0xd11427a6, "unregister_pernet_subsys" },
	{ 0x9c1c4a17, "ib_cm_init_qp_attr" },
	{ 0xd2caea66, "_dev_warn" },
	{ 0x5d6144, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe9e4e88, "rdma_restrack_set_name" },
	{ 0x8da0f7e3, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x85ed59b7, "ib_get_cached_port_state" },
	{ 0xa262879d, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x48a4bbfe, "rdma_restrack_del" },
	{ 0xfa755e29, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x7ea43bca, "bpf_trace_run3" },
	{ 0x307b246c, "__put_net" },
	{ 0x67f6d42a, "rdma_restrack_parent_name" },
	{ 0x3b6ae4fe, "iw_cm_accept" },
	{ 0xb9c2e2b5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfd00b4f7, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x73635ca7, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xaa59eaff, "iw_cm_init_qp_attr" },
	{ 0xa267299f, "dst_release" },
	{ 0xd02808b3, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6f2982a4, "ib_send_cm_dreq" },
	{ 0x1315b7b3, "ib_send_cm_req" },
	{ 0x359f25fa, "ib_create_qp_kernel" },
	{ 0x1d94bc57, "ib_sa_join_multicast" },
	{ 0x6925fb3f, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x7b682474, "rdma_get_gid_attr" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x827124ef, "rdma_restrack_new" },
	{ 0xd0159b08, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xe6ab4cee, "iw_cm_listen" },
	{ 0x14a6e1ec, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x619f5604, "rdma_copy_src_l2_addr" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x2963add, "rdma_resolve_ip" },
	{ 0xab6c02c1, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x46fe91bb, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbb63dabb, "ib_unregister_client" },
	{ 0x559ef3d9, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x87ebb28a, "ib_send_cm_sidr_rep" },
	{ 0xc0bf39d7, "bpf_trace_run4" },
	{ 0x342e895, "config_group_init" },
	{ 0xd8895b05, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x19068361, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa3a1c4b4, "trace_raw_output_prep" },
	{ 0x52f59915, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8da0ae03, "__trace_trigger_soft_disabled" },
	{ 0xfb6c176d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x759bb3c6, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3908c6b7, "rdma_query_gid" },
	{ 0x8fcbdeb1, "rt6_lookup" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0xb7fd88eb, "rdma_translate_ip" },
	{ 0x3fe51d75, "bpf_trace_run2" },
	{ 0x79879f86, "rdma_dev_access_netns" },
	{ 0x24d8d24d, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9fadf1e9, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf7b33b44, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x52c2684c, "register_pernet_subsys" },
	{ 0x1929b158, "trace_event_buffer_commit" },
	{ 0x2efdcdb9, "ip_mc_inc_group" },
	{ 0xd810c998, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xbe5e4e15, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xb769949e, "iw_cm_connect" },
	{ 0x3f033cb4, "rdma_restrack_add" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "ib_core,ib_cm,configfs,iw_cm");


MODULE_INFO(srcversion, "043B02891FEA56C9EC6B764");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
