#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe71bc2f4, "iscsi_create_endpoint" },
	{ 0x4b42c3ca, "ib_dereg_mr_user" },
	{ 0x500abcbf, "iscsi_suspend_queue" },
	{ 0x1464b3dc, "iscsi_eh_cmd_timed_out" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x85d9e0b0, "kmem_cache_create" },
	{ 0xe6fe2e7b, "ib_query_qp" },
	{ 0x6cefa378, "iscsi_conn_failure" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8067173e, "iscsi_complete_pdu" },
	{ 0x80c9b7bb, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c865d66, "dev_driver_string" },
	{ 0x975da613, "iscsi_prep_data_out_pdu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x6a173619, "iscsi_eh_device_reset" },
	{ 0x59ea8837, "iscsi_register_transport" },
	{ 0x4fdfcdb, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf031387f, "__rdma_create_kernel_id" },
	{ 0xe5412774, "ib_register_event_handler" },
	{ 0x97f6e883, "kmem_cache_alloc" },
	{ 0xc641e9a7, "rdma_resolve_route" },
	{ 0x4563faff, "ib_unregister_event_handler" },
	{ 0x3b218c03, "iscsi_set_param" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd647c254, "rdma_create_qp" },
	{ 0x93412b72, "ib_map_mr_sg" },
	{ 0x2e45c9b3, "ib_alloc_mr_integrity" },
	{ 0x44ca6d95, "init_net" },
	{ 0xcbe4f356, "ib_cq_pool_put" },
	{ 0x7f74476a, "iscsi_destroy_endpoint" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb53119cf, "kmem_cache_free" },
	{ 0x5bc8ed47, "iscsi_conn_get_param" },
	{ 0x5ae5eaf7, "iscsi_host_free" },
	{ 0xbb652c39, "iscsi_put_task" },
	{ 0x9beda1e0, "iscsi_conn_teardown" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x24c59dfc, "iscsi_host_set_param" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd0d1ec0, "iscsi_session_get_param" },
	{ 0x8bcf6215, "iscsi_conn_send_pdu" },
	{ 0x77b9d76, "rdma_destroy_qp" },
	{ 0x111badba, "ib_check_mr_status" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x1b326e5b, "iscsi_conn_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x126832de, "iscsi_conn_unbind" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xded6c958, "dma_sync_single_for_cpu" },
	{ 0x60dc2fff, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcc34304c, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x355696b6, "ib_cq_pool_get" },
	{ 0x44ea3823, "rdma_connect_locked" },
	{ 0x6911db11, "iscsi_itt_to_ctask" },
	{ 0x670333ba, "iscsi_lookup_endpoint" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x9388a0ab, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa4c59751, "iscsi_host_add" },
	{ 0xdf17b052, "ib_dma_virt_map_sg" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5fb8c06e, "param_ops_bool" },
	{ 0xed49593b, "rdma_destroy_id" },
	{ 0x3efa5815, "iscsi_session_teardown" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xe7ecad0e, "iscsi_unregister_transport" },
	{ 0xd76b74f5, "iscsi_eh_recover_target" },
	{ 0x56470118, "__warn_printk" },
	{ 0x939a9f66, "iscsi_conn_stop" },
	{ 0x3ddaa158, "iscsi_queuecommand" },
	{ 0xaf0e574a, "ib_drain_qp" },
	{ 0x873c8d80, "ib_dealloc_pd_user" },
	{ 0x394f76eb, "dma_unmap_sg_attrs" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0xe8cd3961, "iscsi_host_remove" },
	{ 0xfbb92f6f, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xdc9e47fc, "kmem_cache_destroy" },
	{ 0x5b66e677, "dma_map_sg_attrs" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf543003b, "iscsi_conn_setup" },
	{ 0xb826666, "iscsi_session_recovery_timedout" },
	{ 0xf3bef4f5, "rdma_reject_msg" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8e1388a6, "iscsi_put_endpoint" },
	{ 0x52b7bd99, "iscsi_target_alloc" },
	{ 0x24ed8812, "iscsi_conn_bind" },
	{ 0x94cb8bbd, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4966f3dc, "iscsi_host_get_param" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x94d0136d, "iscsi_session_setup" },
	{ 0xcc77bbe7, "rdma_resolve_addr" },
	{ 0xc26f33b2, "dma_sync_single_for_device" },
	{ 0xaf0a5ed7, "ib_map_mr_sg_pi" },
	{ 0xfc706666, "param_set_uint" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2c693708, "iscsi_eh_abort" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,ib_core,libiscsi,rdma_cm,scsi_mod");


MODULE_INFO(srcversion, "A5CE640984986BAA0EB2117");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
