#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0x24d273d1, "add_timer" },
	{ 0xcc64a862, "usbnet_probe" },
	{ 0xdb12751b, "usbnet_status_start" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x13a328f5, "usbnet_status_stop" },
	{ 0x37a0cba, "kfree" },
	{ 0x84ece7bf, "skb_push" },
	{ 0x1c686c45, "dev_kfree_skb_any_reason" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x9e67d12d, "usb_control_msg" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x78c00660, "usbnet_link_change" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1e893a1, "usbnet_get_endpoints" },
	{ 0xafdc4c14, "dev_addr_mod" },
	{ 0x8b2ceb9a, "netif_carrier_off" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x42f6ba9a, "usbnet_read_cmd" },
	{ 0xf44d4059, "_dev_err" },
	{ 0xe626659b, "usbnet_disconnect" },
	{ 0x4632b59f, "usbnet_suspend" },
	{ 0x8ade39c1, "usbnet_resume" },
	{ 0x69d6f203, "usbnet_get_msglevel" },
	{ 0x802f55, "usbnet_set_msglevel" },
	{ 0xb6e4b3cc, "usbnet_nway_reset" },
	{ 0x261426f5, "usbnet_get_link_ksettings_mii" },
	{ 0xb5dcf869, "usbnet_set_link_ksettings_mii" },
	{ 0x89fc8ef1, "usbnet_open" },
	{ 0x79c21faf, "usbnet_stop" },
	{ 0x8f85818a, "usbnet_start_xmit" },
	{ 0x67d39c48, "eth_mac_addr" },
	{ 0x8456d2, "eth_validate_addr" },
	{ 0xc4cca881, "usbnet_change_mtu" },
	{ 0xaa478a7f, "usbnet_tx_timeout" },
	{ 0xe1d3d1a3, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xac9a01f9, "skb_trim" },
	{ 0x9ab46c5a, "usbnet_skb_return" },
	{ 0x57415e7d, "skb_pull" },
	{ 0xdd0fafc2, "skb_clone" },
	{ 0xc612567d, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x54d328a3, "netdev_err" },
	{ 0xc83009f0, "usbnet_get_drvinfo" },
	{ 0xc95f2528, "usb_register_driver" },
	{ 0xc12882d5, "usb_deregister" },
	{ 0x973c0666, "usbnet_write_cmd" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore");

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "567F64F6E12749D49C4C3A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
