#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa62dac9b, "wwan_register_ops" },
	{ 0x33a70c5b, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xef13586c, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc612567d, "__dynamic_dev_dbg" },
	{ 0x9fabe686, "pci_ioremap_bar" },
	{ 0x137f1edc, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x36ca6373, "devlink_flash_update_status_notify" },
	{ 0xe07381c8, "skb_queue_purge_reason" },
	{ 0x3c865d66, "dev_driver_string" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb74c31cd, "wwan_remove_port" },
	{ 0xef103971, "netif_device_attach" },
	{ 0xa920df5b, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x5323ea2, "devlink_region_create" },
	{ 0xd37474f4, "kobject_uevent_env" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xf44d4059, "_dev_err" },
	{ 0x44ca6d95, "init_net" },
	{ 0x57415e7d, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1442e589, "netif_tx_wake_queue" },
	{ 0x85e16fc5, "wwan_port_rx" },
	{ 0xb19b445, "ioread8" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xa622689e, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3f569503, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2039d329, "netif_rx" },
	{ 0x2527599f, "wwan_unregister_ops" },
	{ 0xcf50cb2e, "__netdev_alloc_skb" },
	{ 0x3d329423, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xac9a01f9, "skb_trim" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xb3665b8d, "devlink_params_register" },
	{ 0x126d0d00, "pci_release_regions" },
	{ 0x39602221, "wwan_create_port" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc586b761, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec9a3536, "devlink_priv" },
	{ 0xdd0fafc2, "skb_clone" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xd76b7ef0, "pci_disable_device" },
	{ 0x4522404b, "dma_set_mask" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x1c686c45, "dev_kfree_skb_any_reason" },
	{ 0x526bcf2a, "wwan_port_get_drvdata" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa7dca56e, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd2880f73, "register_netdevice" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3c618c02, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe97df947, "is_acpi_device_node" },
	{ 0xba80c0b, "devlink_unregister" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcba8b212, "pci_enable_device" },
	{ 0xe6975a54, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xbe08b543, "consume_skb" },
	{ 0xb98bb1a5, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0xbd9884c0, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0xe776f5ff, "__pci_register_driver" },
	{ 0xd72e4702, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x3fdb4e62, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe95bb999, "devlink_alloc_ns" },
	{ 0xe3f24bc9, "devlink_register" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00007560sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007360sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F0D9A90ECF07338A8A8BF49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
