#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x966c7c91, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x8288232b, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x68bc876a, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xa7761d17, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xf4a72eb1, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xc85c513e, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x2f53c832, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x18e73da6, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xbdac2cec, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x7f97ba1b, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x37b4666b, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x7ac9d3bb, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xc9d408cd, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x9f2b4931, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xec7b18ff, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x9e9b14b5, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x262e4a09, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe775f23, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27853e43, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x96d35eaa, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x58b0bf7d, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x975da613, "iscsi_prep_data_out_pdu" },
	{ 0xbb652c39, "iscsi_put_task" },
	{ 0x6cefa378, "iscsi_conn_failure" },
	{ 0xf543003b, "iscsi_conn_setup" },
	{ 0x9beda1e0, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x2dc1cdce, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x44fb224, "crypto_ahash_update" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x85e390f, "crypto_ahash_final" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x90ac4020, "skb_prepare_seq_read" },
	{ 0x116a1b13, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x40fc7da2, "skb_abort_seq_read" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8067173e, "iscsi_complete_pdu" },
	{ 0xa3c5a60d, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6911db11, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x30154f53, "iscsi_get_task" },
	{ 0xff4aa60, "iscsi_update_cmdsn" },
	{ 0x1ab9980f, "__iscsi_complete_pdu" },
	{ 0xc537b54a, "iscsi_requeue_task" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0xb0efd3db, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
