#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smc_hash_sk, "_gpl", "");
KSYMTAB_FUNC(smc_unhash_sk, "_gpl", "");
KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_hash_sk, 0x743b83ad, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0xe087c826, "_gpl");
SYMBOL_CRC(smc_proto, 0xe17db73a, "_gpl");
SYMBOL_CRC(smc_proto6, 0x3319de97, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0xe5a0c336, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xc38f1bd6, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0x4e133e72, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0xb940c97f, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x59297441, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xa2e12e83, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x3be1d49e, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0xd4892d15, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x20403362, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xed68d381, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x40d7b8bc, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xf6c9347d, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xfbac3769, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xe5412774, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0x4cc77ebd, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2263f818, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4563faff, "ib_unregister_event_handler" },
	{ 0xf1362cf, "proto_register" },
	{ 0x35ee5562, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xd5f2c224, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x93412b72, "ib_map_mr_sg" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9c4d7298, "generic_pipe_buf_get" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf900888f, "perf_trace_run_bpf_submit" },
	{ 0x60032058, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x44ca6d95, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ae53919, "netlink_unicast" },
	{ 0x1d8102d8, "__SCK__tp_func_sk_data_ready" },
	{ 0x20d92d83, "rdma_put_gid_attr" },
	{ 0x8b9c353e, "kernel_getsockname" },
	{ 0x1392660, "sk_free" },
	{ 0xf087b972, "sock_wake_async" },
	{ 0x3ea17657, "kfree_skb_reason" },
	{ 0xa9a03082, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe76000c, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf753b1b3, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xfb74e910, "proc_douintvec_minmax" },
	{ 0xba70b76, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe2c05d90, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7849e24a, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5831e64c, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2e92bc52, "sk_alloc" },
	{ 0xe426493e, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd11427a6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xded6c958, "dma_sync_single_for_cpu" },
	{ 0xeebd4961, "kernel_connect" },
	{ 0x93e894bf, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x90a7d9f, "sk_wait_data" },
	{ 0x28500e13, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xcc34304c, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc0ddf82, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x29df74dd, "ib_destroy_cq_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xac9a01f9, "skb_trim" },
	{ 0xfa755e29, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x25e50360, "tcp_register_ulp" },
	{ 0x383cb2c8, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x64775e57, "kernel_listen" },
	{ 0xdf17b052, "ib_dma_virt_map_sg" },
	{ 0x63fe071d, "neigh_destroy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb9c2e2b5, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf564e54, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4ad024fc, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x802f4ee6, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd5c0d6dd, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7690c6eb, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa267299f, "dst_release" },
	{ 0xcd70362, "sk_stream_wait_connect" },
	{ 0xd7436d13, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x3c208b98, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x359f25fa, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x40fc0979, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd3e8a307, "vlan_dev_vlan_id" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x873c8d80, "ib_dealloc_pd_user" },
	{ 0x7b682474, "rdma_get_gid_attr" },
	{ 0x394f76eb, "dma_unmap_sg_attrs" },
	{ 0xc96ec8ab, "genl_unregister_family" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x3cd21e0f, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xdeedd759, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9bb03a5, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x935ac668, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xc81db28d, "release_sock" },
	{ 0x5b66e677, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc275ab3e, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcce2e513, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xbb63dabb, "ib_unregister_client" },
	{ 0x79c94c8d, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x733cfdd, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfdda9d24, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xa3a1c4b4, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xd1cb6b12, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x94cb8bbd, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8da0ae03, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xfb6c176d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xdb695404, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xc26f33b2, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x78fa0d6c, "genlmsg_put" },
	{ 0x759bb3c6, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xd34e2f6e, "__put_devmap_managed_page_refs" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x4b42c3ca, "ib_dereg_mr_user" },
	{ 0x282c83aa, "__tracepoint_sk_data_ready" },
	{ 0x3fe51d75, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa1d02d25, "kernel_accept" },
	{ 0x79879f86, "rdma_dev_access_netns" },
	{ 0x77e92c14, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xd700d5e1, "ip_route_output_flow" },
	{ 0xaa76b6ff, "get_device" },
	{ 0x1c9131f2, "sk_stream_error" },
	{ 0xe6fe2e7b, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xdb367d23, "sock_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbddebbbc, "sk_error_report" },
	{ 0x52c2684c, "register_pernet_subsys" },
	{ 0x3c865d66, "dev_driver_string" },
	{ 0x1929b158, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xf1ab8508, "register_net_sysctl_sz" },
	{ 0xd2847895, "tcp_abort" },
	{ 0xd810c998, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0xf4a325f4, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x396bcea4, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x681e26f6, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "87B0AFC8A8F5239BBBAB5A0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
