#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f5e04c7, "dma_set_coherent_mask" },
	{ 0x47703b5d, "ssb_dma_translation" },
	{ 0xafdc4c14, "dev_addr_mod" },
	{ 0x7ac5e0b5, "register_netdev" },
	{ 0x8b2ceb9a, "netif_carrier_off" },
	{ 0x6ba17a28, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x39e5b3b9, "__mdiobus_register" },
	{ 0xd3adf3bb, "mdiobus_is_registered_device" },
	{ 0x6264b0f3, "phy_connect" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x6809a079, "phy_attached_info" },
	{ 0x2750fb7f, "device_set_wakeup_capable" },
	{ 0xf44d4059, "_dev_err" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8ac5101, "_dev_info" },
	{ 0x91a8ccc, "phy_ethtool_ksettings_set" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xf659704c, "dql_reset" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf1b547a6, "netif_device_detach" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7437f630, "napi_disable" },
	{ 0x6e62ed4d, "phy_stop" },
	{ 0x45e011bb, "netif_carrier_on" },
	{ 0x96092680, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcf50cb2e, "__netdev_alloc_skb" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x4cc77ebd, "__alloc_skb" },
	{ 0x3c865d66, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xef103971, "netif_device_attach" },
	{ 0x1442e589, "netif_tx_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6832aba0, "dev_kfree_skb_irq_reason" },
	{ 0x50d966a9, "napi_complete_done" },
	{ 0x69066c93, "__napi_alloc_skb" },
	{ 0xe6975a54, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf04ce3b, "eth_type_trans" },
	{ 0x5a38faa3, "netif_receive_skb" },
	{ 0x57415e7d, "skb_pull" },
	{ 0xf4238194, "dql_completed" },
	{ 0x29b3e3c, "netif_schedule_queue" },
	{ 0x45f2fe1c, "dma_alloc_attrs" },
	{ 0xe5959575, "napi_enable" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x24d273d1, "add_timer" },
	{ 0xdd02ac26, "phy_start" },
	{ 0x8456d2, "eth_validate_addr" },
	{ 0x4a4710bb, "ethtool_op_get_link" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x1c686c45, "dev_kfree_skb_any_reason" },
	{ 0x23dbeac8, "phy_ethtool_ksettings_get" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x2aeb53ef, "device_set_wakeup_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc26f33b2, "dma_sync_single_for_device" },
	{ 0xded6c958, "dma_sync_single_for_cpu" },
	{ 0xd6be5498, "phy_mii_ioctl" },
	{ 0xe7bcdd8e, "generic_mii_ioctl" },
	{ 0x37a0cba, "kfree" },
	{ 0x88afab2d, "dma_free_attrs" },
	{ 0xe017cf8d, "phy_print_status" },
	{ 0x86b44175, "ssb_pcihost_register" },
	{ 0x9b15dceb, "__ssb_driver_register" },
	{ 0x137f1edc, "pci_unregister_driver" },
	{ 0xab94459f, "ssb_driver_unregister" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc13cb9ad, "napi_schedule_prep" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc3a80eeb, "__napi_schedule" },
	{ 0x62c63dec, "netdev_info" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe3cc3194, "unregister_netdev" },
	{ 0x14399597, "ssb_device_disable" },
	{ 0x2c0d6c67, "ssb_bus_may_powerdown" },
	{ 0xdd093653, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbc3e0751, "free_netdev" },
	{ 0x66fff25, "phy_disconnect" },
	{ 0x3b4dbaf7, "mdiobus_unregister" },
	{ 0xec0f37b3, "mdiobus_free" },
	{ 0x21229b74, "pci_set_power_state" },
	{ 0x63ef2ae8, "pci_read_config_word" },
	{ 0x7e0e029b, "pci_write_config_word" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x54d328a3, "netdev_err" },
	{ 0x5dd150ed, "ssb_device_is_enabled" },
	{ 0x1915a18d, "ssb_device_enable" },
	{ 0xb091b0e4, "ssb_pcicore_dev_irqvecs_enable" },
	{ 0x87439f55, "ssb_clockspeed" },
	{ 0x4528a8af, "alloc_etherdev_mqs" },
	{ 0x2c7dd3da, "netif_napi_add_weight" },
	{ 0xefad9407, "ssb_bus_powerup" },
	{ 0x4522404b, "dma_set_mask" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "ssb,libphy,mii");

MODULE_ALIAS("ssb:v4243id0806rev*");
MODULE_ALIAS("pci:v000014E4d00004401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004402sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000170Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "D649571EFEC22C8369A5298");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
