#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8c32c98, "__mdiobus_write" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb2e7326a, "phy_restore_page" },
	{ 0x3fe0a283, "phy_write_paged" },
	{ 0x92a14296, "mdiobus_read" },
	{ 0x6f2326ed, "phy_modify" },
	{ 0x619b498, "genphy_soft_reset" },
	{ 0xd2caea66, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd043c9de, "ethnl_cable_test_pulse" },
	{ 0xce84b881, "ethnl_cable_test_step" },
	{ 0xdace55d6, "__phy_modify" },
	{ 0x7847c621, "sfp_parse_support" },
	{ 0x5b777264, "sfp_select_interface" },
	{ 0xe8ac5101, "_dev_info" },
	{ 0xf44d4059, "_dev_err" },
	{ 0xf45c7692, "phy_save_page" },
	{ 0x80faffdc, "phy_trigger_machine" },
	{ 0xa3fe49a5, "phy_error" },
	{ 0xef4a4fee, "devm_kmalloc" },
	{ 0x754d539c, "strlen" },
	{ 0x11089ac7, "_ctype" },
	{ 0xff03649c, "devm_hwmon_device_register_with_info" },
	{ 0x35ff48d7, "phy_drivers_unregister" },
	{ 0xe1e44a16, "mdiobus_write" },
	{ 0xed7badd3, "genphy_c45_ethtool_get_eee" },
	{ 0x3383e9c7, "phy_config_aneg" },
	{ 0xe5fd3967, "phy_sfp_probe" },
	{ 0xe0fb89c7, "genphy_read_lpa" },
	{ 0xf87f9793, "phy_resolve_aneg_pause" },
	{ 0x18819336, "genphy_update_link" },
	{ 0xc4e1cb44, "genphy_read_status_fixed" },
	{ 0xa8fd079, "genphy_suspend" },
	{ 0x307a8e34, "genphy_resume" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xad08d8cd, "phy_modify_changed" },
	{ 0x87f03ba5, "__genphy_config_aneg" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xac0ec48f, "genphy_check_and_restart_aneg" },
	{ 0x65cddf57, "genphy_setup_forced" },
	{ 0x91d6431f, "phy_modify_paged_changed" },
	{ 0x21084474, "genphy_read_abilities" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x306d5d8, "ethnl_cable_test_result" },
	{ 0xec30021, "ethnl_cable_test_fault_length" },
	{ 0x594551e, "ethnl_cable_test_amplitude" },
	{ 0x9b16e4ee, "phy_gbit_fibre_features" },
	{ 0x394a1e11, "phy_sfp_attach" },
	{ 0xb6acaa13, "phy_sfp_detach" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x80b5209d, "phy_drivers_register" },
	{ 0xbbbfd4fe, "phy_read_paged" },
	{ 0x81c76de2, "phy_modify_paged" },
	{ 0x3efbfdcc, "__mdiobus_read" },
	{ 0xa4ef68e9, "phy_select_page" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000101000001000011000110????");
MODULE_ALIAS("mdio:0000000101000001000011001001????");
MODULE_ALIAS("mdio:0000000101000001000011001100????");
MODULE_ALIAS("mdio:0000000111111111000011001100????");
MODULE_ALIAS("mdio:0000000101000001000011100001????");
MODULE_ALIAS("mdio:0000000101000001000011001011????");
MODULE_ALIAS("mdio:0000000101000001000011001101????");
MODULE_ALIAS("mdio:0000000101000001000011100101????");
MODULE_ALIAS("mdio:0000000101000001000011100011????");
MODULE_ALIAS("mdio:0000000101000001000011101001????");
MODULE_ALIAS("mdio:0000000101000001000011100100????");
MODULE_ALIAS("mdio:0000000101000001000011011101????");
MODULE_ALIAS("mdio:0000000101000001000011101011????");
MODULE_ALIAS("mdio:0000000101000001000011101010????");
MODULE_ALIAS("mdio:0000000101000001000011100110????");
MODULE_ALIAS("mdio:0000000101000001000011110100????");
MODULE_ALIAS("mdio:0000000101000001000011111001????");
MODULE_ALIAS("mdio:0000000000101011000010111001????");
MODULE_ALIAS("mdio:0000000101000001000011011100????");
MODULE_ALIAS("mdio:0000000101000001000011101100????");

MODULE_INFO(srcversion, "0ABF8C409174FA3B3AC2A85");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
