#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0xf1b547a6, "netif_device_detach" },
	{ 0x45bea76f, "skb_tstamp_tx" },
	{ 0x264b1ef5, "usb_alloc_urb" },
	{ 0x4cc77ebd, "__alloc_skb" },
	{ 0x1c686c45, "dev_kfree_skb_any_reason" },
	{ 0xdd093653, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe3cc3194, "unregister_netdev" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xd738ca1b, "phy_unregister_fixup_for_uid" },
	{ 0x66fff25, "phy_disconnect" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0xbc3e0751, "free_netdev" },
	{ 0xb35a3378, "usb_put_dev" },
	{ 0xcfc48c19, "fixed_phy_unregister" },
	{ 0x57392a76, "usb_autopm_put_interface_async" },
	{ 0x6dddcc3b, "skb_unlink" },
	{ 0xe6975a54, "skb_put" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xdd02ac26, "phy_start" },
	{ 0xe5959575, "napi_enable" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7d868160, "usb_get_from_anchor" },
	{ 0x6812ab9d, "usb_get_dev" },
	{ 0x4528a8af, "alloc_etherdev_mqs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe46324ab, "netif_set_tso_max_size" },
	{ 0x2c7dd3da, "netif_napi_add_weight" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7ef8ea67, "handle_simple_irq" },
	{ 0xda5d201c, "irq_domain_create_simple" },
	{ 0xa40be07, "irq_create_mapping_affinity" },
	{ 0x6ba17a28, "mdiobus_alloc_size" },
	{ 0x39e5b3b9, "__mdiobus_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe3cb624a, "phy_find_first" },
	{ 0xd252668f, "phy_connect_direct" },
	{ 0xa2088787, "phy_remove_link_mode" },
	{ 0x87f03ba5, "__genphy_config_aneg" },
	{ 0x7ac5e0b5, "register_netdev" },
	{ 0xc9dade82, "pm_runtime_set_autosuspend_delay" },
	{ 0x643bcfe0, "phy_register_fixup_for_uid" },
	{ 0x757a6468, "fixed_phy_register" },
	{ 0xf44d4059, "_dev_err" },
	{ 0x57415e7d, "skb_pull" },
	{ 0x69066c93, "__napi_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5151e8a0, "netif_tx_lock" },
	{ 0xcda88513, "netif_tx_unlock" },
	{ 0x7465da3f, "usb_autopm_get_interface_async" },
	{ 0x50d966a9, "napi_complete_done" },
	{ 0x1442e589, "netif_tx_wake_queue" },
	{ 0x53a4dbde, "usb_anchor_urb" },
	{ 0xef103971, "netif_device_attach" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8b2ceb9a, "netif_carrier_off" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xce035d86, "usb_clear_halt" },
	{ 0x8456d2, "eth_validate_addr" },
	{ 0xc68cbdd4, "phy_do_ioctl_running" },
	{ 0xe0ae9a85, "phy_ethtool_nway_reset" },
	{ 0x6b615756, "ethtool_op_get_ts_info" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc95f2528, "usb_register_driver" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x9e67d12d, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x96092680, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xafdc4c14, "dev_addr_mod" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x54d328a3, "netdev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x545a7d98, "__dynamic_netdev_dbg" },
	{ 0xb6ec49ec, "usb_get_urb" },
	{ 0x71f0025, "usb_unlink_urb" },
	{ 0x5d3fd649, "usb_free_urb" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xbd9884c0, "skb_dequeue" },
	{ 0xa920df5b, "skb_queue_tail" },
	{ 0xe07381c8, "skb_queue_purge_reason" },
	{ 0x90fda855, "usb_autopm_get_interface" },
	{ 0x3f6089e, "usb_autopm_put_interface" },
	{ 0x91a8ccc, "phy_ethtool_ksettings_set" },
	{ 0x92a14296, "mdiobus_read" },
	{ 0xe1e44a16, "mdiobus_write" },
	{ 0x23dbeac8, "phy_ethtool_ksettings_get" },
	{ 0xe5eb1b8f, "phy_ethtool_set_eee" },
	{ 0x7cd9c3f9, "phy_ethtool_get_eee" },
	{ 0x2aeb53ef, "device_set_wakeup_enable" },
	{ 0xcd573b2f, "phy_ethtool_set_wol" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7437f630, "napi_disable" },
	{ 0x6e62ed4d, "phy_stop" },
	{ 0xf4b4bef1, "usb_kill_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x62c63dec, "netdev_info" },
	{ 0xf04ce3b, "eth_type_trans" },
	{ 0xc23404a8, "napi_gro_receive" },
	{ 0x1fe4e3d0, "irq_set_chip_and_handler_name" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xe017cf8d, "phy_print_status" },
	{ 0xa4be944c, "phy_read_mmd" },
	{ 0x7e96b40e, "phy_write_mmd" },
	{ 0xc12882d5, "usb_deregister" },
	{ 0x9822ccd6, "skb_copy_bits" },
	{ 0xfa5691c8, "__pskb_pull_tail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3b4dbaf7, "mdiobus_unregister" },
	{ 0xec0f37b3, "mdiobus_free" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xadf446a2, "irq_domain_remove" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x745feea8, "genphy_read_status" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xc13cb9ad, "napi_schedule_prep" },
	{ 0xc3a80eeb, "__napi_schedule" },
	{ 0xc56e770f, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfb578fc5, "memset" },
	{ 0x620ef967, "usb_submit_urb" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "usbcore,libphy,fixed_phy");

MODULE_ALIAS("usb:v0424p7800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7850d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9p0012d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "C3915CFC7A6F9D6DFBE316F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
