#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83879a38, "rt2x00usb_disconnect" },
	{ 0x20ab94ab, "rt2x00usb_suspend" },
	{ 0x831fc290, "rt2x00usb_resume" },
	{ 0x4e9f0779, "rt2x00usb_initialize" },
	{ 0x5e823644, "rt2x00usb_uninitialize" },
	{ 0x885b55e0, "rt2x00usb_clear_entry" },
	{ 0x57f8f700, "rt2x00usb_watchdog" },
	{ 0xe682812d, "rt2x00usb_kick_queue" },
	{ 0x2c40e1e3, "rt2x00usb_flush_queue" },
	{ 0x613658e4, "rt2x00mac_tx" },
	{ 0x2f4bc51d, "rt2x00mac_start" },
	{ 0x79f778aa, "rt2x00mac_stop" },
	{ 0x2dcee867, "rt2x00mac_add_interface" },
	{ 0x5566a048, "rt2x00mac_remove_interface" },
	{ 0x4d6e188d, "rt2x00mac_config" },
	{ 0x985ec373, "rt2x00mac_bss_info_changed" },
	{ 0x4fc009f0, "rt2x00mac_configure_filter" },
	{ 0x62aa9af3, "rt2x00mac_set_tim" },
	{ 0xeaba49ff, "rt2x00mac_set_key" },
	{ 0x53b39401, "rt2x00mac_sw_scan_start" },
	{ 0x34ed6c89, "rt2x00mac_sw_scan_complete" },
	{ 0x4726bc3, "rt2x00mac_get_stats" },
	{ 0x1764fe04, "rt2x00mac_conf_tx" },
	{ 0xa493ee34, "rt2x00mac_rfkill_poll" },
	{ 0x9579b12d, "rt2x00mac_flush" },
	{ 0x49c92ec4, "rt2x00mac_set_antenna" },
	{ 0xccadd2f7, "rt2x00mac_get_antenna" },
	{ 0x41f338dc, "rt2x00mac_get_ringparam" },
	{ 0x3278839, "rt2x00mac_tx_frames_pending" },
	{ 0x6a0ff6ab, "ieee80211_emulate_add_chanctx" },
	{ 0xf2356ae1, "ieee80211_emulate_remove_chanctx" },
	{ 0xdbad74af, "ieee80211_emulate_change_chanctx" },
	{ 0x255c5a49, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa6e71981, "ieee80211_handle_wake_tx_queue" },
	{ 0x5fb8c06e, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc95f2528, "usb_register_driver" },
	{ 0x56b60a3a, "rt2x00usb_probe" },
	{ 0xac9a01f9, "skb_trim" },
	{ 0xbe08b543, "consume_skb" },
	{ 0x620ef967, "usb_submit_urb" },
	{ 0xc12882d5, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x866430b1, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf44d4059, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x61b73773, "rt2x00usb_vendor_request_buff" },
	{ 0x84ece7bf, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xadaab63d, "rt2x00usb_vendor_request" },
	{ 0xf2a805f0, "rt2x00lib_set_mac_address" },
	{ 0xe8ac5101, "_dev_info" },
	{ 0xc612567d, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9b11eb93, "rt2x00usb_disable_radio" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "7FEE5EDAB3F8A95A5692CF2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
