#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xf4682a2e, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0xe12ac745, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0xff6d6314, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0xe63ea107, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xa0788b01, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0xb4c0a878, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0xe8e763be, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x4d13870e, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xaacdc5c7, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xf2a805f0, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xe0301165, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0x66d1206a, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0xb8d8f226, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x5b68d007, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x613658e4, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0x2f4bc51d, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0x79f778aa, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x19e3e355, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0x2dcee867, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x5566a048, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x4d6e188d, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x4fc009f0, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x62aa9af3, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0xeaba49ff, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x53b39401, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0x34ed6c89, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x04726bc3, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0x985ec373, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0x1764fe04, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0xa493ee34, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0x9579b12d, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0x49c92ec4, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xccadd2f7, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x41f338dc, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0x03278839, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x5a84f60f, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0x1f2f424b, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0xe893cfee, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0x49211a75, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xe256077c, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x5325c781, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x3d415588, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0xd42ca0c3, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x8914d6a1, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0xcdb71b9e, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x2c50ee73, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x3b0cfd03, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6975a54, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbe08b543, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2c8bdbfd, "dma_unmap_page_attrs" },
	{ 0x998454e5, "request_firmware" },
	{ 0x395a8498, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa10577, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0xd0b20478, "led_classdev_unregister" },
	{ 0x69aa9af9, "ieee80211_register_hw" },
	{ 0x629a7c3d, "__ieee80211_create_tpt_led_trigger" },
	{ 0x5daa27e2, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x2ad6c1be, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc612567d, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3c865d66, "dev_driver_string" },
	{ 0x10df7942, "ieee80211_tx_status_skb" },
	{ 0xf6014001, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x915ca571, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe8ac5101, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x4d249fd9, "ieee80211_queue_delayed_work" },
	{ 0xf44d4059, "_dev_err" },
	{ 0xcbf1ab82, "ieee80211_ctstoself_get" },
	{ 0x57415e7d, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x84ece7bf, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6971131, "ieee80211_free_txskb" },
	{ 0xfb859fa9, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xd2caea66, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x59cf59ce, "ieee80211_stop_queue" },
	{ 0xcf50cb2e, "__netdev_alloc_skb" },
	{ 0x93b1c9d0, "ieee80211_stop_queues" },
	{ 0xac9a01f9, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x54cc1c5f, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44899e52, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb83a1537, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe8f412f6, "led_classdev_resume" },
	{ 0x335b8ef, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb9c3c54, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc21fabe7, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x9dee07ce, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x1c686c45, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x6d22da32, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x634d80f0, "ieee80211_iterate_interfaces" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "E45600D49323125F9786FF0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
