#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x84ece7bf, "skb_push" },
	{ 0xf54b949e, "generic_hwtstamp_get_lower" },
	{ 0x257574ff, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x6a9c2057, "garp_register_application" },
	{ 0xbc3e0751, "free_netdev" },
	{ 0x17de55f, "ethtool_get_ts_info_by_layer" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa6b9729c, "ns_capable" },
	{ 0x4a4710bb, "ethtool_op_get_link" },
	{ 0xde3f6062, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd11427a6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa3ff38bb, "vlan_ioctl_set" },
	{ 0xb9b64e0e, "proc_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3a7a79f5, "pv_ops" },
	{ 0xb72c524a, "garp_init_applicant" },
	{ 0x99fb5a6f, "__netpoll_setup" },
	{ 0x8e91a5a4, "__dev_queue_xmit" },
	{ 0xcb9b859f, "vlan_vid_add" },
	{ 0xdd67f434, "linkwatch_fire_event" },
	{ 0x314f8cca, "call_netdevice_notifiers" },
	{ 0x74e36a18, "vlan_vid_del" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x2f9c9e05, "dev_set_allmulti" },
	{ 0x5d56f3c7, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b2ceb9a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x6585a74d, "seq_printf" },
	{ 0x45e011bb, "netif_carrier_on" },
	{ 0x19f76bb0, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3e085cae, "garp_request_join" },
	{ 0x3015df59, "seq_puts" },
	{ 0xfa2d02a1, "_proc_mkdir" },
	{ 0xd545f246, "dev_uc_add" },
	{ 0xd3e8a307, "vlan_dev_vlan_id" },
	{ 0xd0d3daae, "garp_uninit_applicant" },
	{ 0xbeda802d, "proc_create_single_data" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x73595458, "dev_get_flags" },
	{ 0x2cbe1071, "vlan_filter_drop_vids" },
	{ 0x29d08e26, "mrp_request_leave" },
	{ 0xad3087cc, "dev_mc_unsync" },
	{ 0xa1e1b69c, "vlan_filter_push_vids" },
	{ 0xaa60420c, "dev_change_flags" },
	{ 0x968c2a02, "mrp_uninit_applicant" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xd2880f73, "register_netdevice" },
	{ 0x2a8b54d4, "dev_set_mtu" },
	{ 0x308de3c9, "dev_get_stats" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9f512b2e, "dev_mc_sync" },
	{ 0x9822ccd6, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8faf8340, "mrp_request_join" },
	{ 0xbea50be6, "mrp_unregister_application" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd2c152b7, "netdev_update_features" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe7cd47fc, "__netpoll_free" },
	{ 0xfc879ca, "dev_uc_sync" },
	{ 0xe94d30c4, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x913bebce, "netpoll_send_skb" },
	{ 0xce02e74d, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xfa5e97d5, "mrp_register_application" },
	{ 0x4e6f065e, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x75f62dff, "dev_set_promiscuity" },
	{ 0x8456d2, "eth_validate_addr" },
	{ 0x96092680, "netdev_warn" },
	{ 0xef13586c, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x72526e5b, "garp_unregister_application" },
	{ 0x599640fa, "__dev_get_by_name" },
	{ 0x12471165, "dev_uc_unsync" },
	{ 0xf08c7ee5, "ether_setup" },
	{ 0xe609cf7, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x59993e71, "netdev_upper_dev_link" },
	{ 0x5a5c8174, "mrp_init_applicant" },
	{ 0x52c2684c, "register_pernet_subsys" },
	{ 0xafdc4c14, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x44f0a1fc, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddb04c1, "eth_header_parse" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x78d8d673, "garp_request_leave" },
	{ 0x3fd699c8, "__dev_get_by_index" },
	{ 0x51c25c3a, "rtnl_link_unregister" },
	{ 0xc4e2d18c, "generic_hwtstamp_set_lower" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9378c752, "netif_stacked_transfer_operstate" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "garp,mrp");


MODULE_INFO(srcversion, "1C1D22EEFC46D90330F6EB1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
