#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x76cc841a, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x9ab5094e, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0xb5956a72, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x02ece520, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x064ecac5, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x7b855d7d, "_gpl");
SYMBOL_CRC(dccp_child_process, 0x311ea4aa, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0xf7e53069, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0xa27264f2, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x82e31351, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x73af15b6, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x7c81b134, "_gpl");
SYMBOL_CRC(dccp_make_response, 0xcefaa8dd, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x193dd30b, "_gpl");
SYMBOL_CRC(dccp_connect, 0xa45592af, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x973d8b8e, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x61be1d81, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x51fd11c8, "_gpl");
SYMBOL_CRC(dccp_done, 0xc7f2acd4, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xa1794b26, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x921be24f, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xa9f2016d, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x4af7a18f, "_gpl");
SYMBOL_CRC(dccp_poll, 0x11e8d648, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x4ad9c7a5, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xf35d0ba0, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x15c2c531, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xc3bfcadc, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x886a3bb3, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0xe1514472, "_gpl");
SYMBOL_CRC(dccp_close, 0xb828b0fb, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xa96ea13d, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x84e32e38, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x4cc77ebd, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xec34d78d, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbb021633, "sk_reset_timer" },
	{ 0x97f6e883, "kmem_cache_alloc" },
	{ 0xa920df5b, "skb_queue_tail" },
	{ 0x7c21b936, "sk_stream_wait_close" },
	{ 0x4a540877, "inet_twsk_hashdance" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf900888f, "perf_trace_run_bpf_submit" },
	{ 0x44ca6d95, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8fab6b34, "ip6_mtu" },
	{ 0x1392660, "sk_free" },
	{ 0xf087b972, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x3ea17657, "kfree_skb_reason" },
	{ 0x84ece7bf, "skb_push" },
	{ 0xb53119cf, "kmem_cache_free" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xf753b1b3, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7849e24a, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xec5edcc4, "skb_copy_datagram_iter" },
	{ 0x47f7754e, "tcp_stream_memory_free" },
	{ 0xd9526582, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x90a7d9f, "sk_wait_data" },
	{ 0x9ae5d124, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6dddcc3b, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5b02d248, "inet_csk_listen_start" },
	{ 0x40017f54, "sk_free_unlock_clone" },
	{ 0x3531e71b, "sock_rfree" },
	{ 0x487a2dae, "ipv4_mtu" },
	{ 0x69b8e2c1, "skb_set_owner_w" },
	{ 0xb9c2e2b5, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5fb8c06e, "param_ops_bool" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd2358bf1, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xdd0fafc2, "skb_clone" },
	{ 0xe54f8b54, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa267299f, "dst_release" },
	{ 0xcd70362, "sk_stream_wait_connect" },
	{ 0xd7436d13, "_copy_from_iter" },
	{ 0x54eaf306, "inet_csk_destroy_sock" },
	{ 0xf6dfc2b1, "sk_stop_timer" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x39be0527, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb2bd3d28, "param_ops_int" },
	{ 0x3cd21e0f, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfb8feb8e, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x230a891e, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0xdc9e47fc, "kmem_cache_destroy" },
	{ 0x7efc6fb5, "inet_csk_complete_hashdance" },
	{ 0xc81db28d, "release_sock" },
	{ 0x578e0fb7, "inet_csk_reqsk_queue_drop" },
	{ 0x6c08df7f, "__inet_twsk_schedule" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0x333724be, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0xe6975a54, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xbe08b543, "consume_skb" },
	{ 0x20d33ba, "sock_wmalloc" },
	{ 0xa3a1c4b4, "trace_raw_output_prep" },
	{ 0xbd9884c0, "skb_dequeue" },
	{ 0x8da0ae03, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xfb6c176d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x759bb3c6, "trace_event_raw_init" },
	{ 0x100bddf8, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x3fe51d75, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xaad66c3e, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x85d9e0b0, "kmem_cache_create" },
	{ 0xa63e1477, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbddebbbc, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x1929b158, "trace_event_buffer_commit" },
	{ 0xf1ab8508, "register_net_sysctl_sz" },
	{ 0x382048c7, "inet_sock_destruct" },
	{ 0x7ca30dfd, "inet_put_port" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F9E8AC69B8CEAB1A337F55D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
