#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x1a79f64f, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xcda39a32, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x10ba0007, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x3f57a991, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xad5140b4, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x8b330ccb, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0xe086ee8e, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x72404c28, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xa1d7f48d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x5159fa89, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x34618c47, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xcc53c362, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x59e3d254, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x720404eb, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x24cf80a3, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x9776ac8e, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x70c9fce8, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x772e07c9, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xee8316d7, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x12db6411, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x8debfc0e, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x983976e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xace1dfdb, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x754d539c, "strlen" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x44f0a1fc, "alloc_netdev_mqs" },
	{ 0xd2880f73, "register_netdevice" },
	{ 0xbc3e0751, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xef13586c, "unregister_netdevice_queue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9e462bb6, "gro_cells_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa267299f, "dst_release" },
	{ 0x3ea17657, "kfree_skb_reason" },
	{ 0xfa5691c8, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd4a46700, "skb_scrub_packet" },
	{ 0x270c57dc, "gro_cells_receive" },
	{ 0x9822ccd6, "skb_copy_bits" },
	{ 0xf04ce3b, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x8fab6b34, "ip6_mtu" },
	{ 0x506e937d, "icmpv6_ndo_send" },
	{ 0x23a98e16, "icmp_ndo_send" },
	{ 0x487a2dae, "ipv4_mtu" },
	{ 0xd700d5e1, "ip_route_output_flow" },
	{ 0x3fd699c8, "__dev_get_by_index" },
	{ 0xd996fd3d, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xafdc4c14, "dev_addr_mod" },
	{ 0x961575b6, "netdev_state_change" },
	{ 0xa6b9729c, "ns_capable" },
	{ 0x2a8b54d4, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x44ca6d95, "init_net" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x869fa045, "dst_cache_get_ip4" },
	{ 0x299f6377, "dst_cache_set_ip4" },
	{ 0x79c50760, "iptunnel_xmit" },
	{ 0x94995902, "__skb_get_hash" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf259ee5d, "pskb_expand_head" },
	{ 0x63fe071d, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DC00433116258E0127A7FB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
