#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbd3d4e12, "km_state_notify" },
	{ 0xa6b9729c, "ns_capable" },
	{ 0x2e92bc52, "sk_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x935ac668, "sock_init_data" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609cf7, "proc_create_net_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd7436d13, "_copy_from_iter" },
	{ 0x3cd21e0f, "iov_iter_revert" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xe07381c8, "skb_queue_purge_reason" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1392660, "sk_free" },
	{ 0x7a0a6557, "xfrm_policy_alloc" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x6c65d0e4, "xfrm_policy_destroy" },
	{ 0x2181c6a1, "xfrm_policy_byid" },
	{ 0xd69b1e65, "xfrm_audit_policy_delete" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0x79535361, "xfrm_state_delete" },
	{ 0x3840be64, "xfrm_audit_state_delete" },
	{ 0x1fcd6b27, "__xfrm_state_destroy" },
	{ 0xf8ef1e08, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x25d0b5f8, "xfrm_migrate" },
	{ 0x135da472, "xfrm_state_alloc" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0xc80741, "xfrm_ealg_get_byid" },
	{ 0x754d539c, "strlen" },
	{ 0xf6a60d08, "xfrm_init_state" },
	{ 0x8c50604d, "xfrm_state_update" },
	{ 0xb0094bef, "xfrm_audit_state_add" },
	{ 0x723282e, "xfrm_state_add" },
	{ 0x5c699441, "xfrm_aalg_get_byid" },
	{ 0x72395dc1, "xfrm_calg_get_byid" },
	{ 0xe399da91, "xfrm_policy_insert" },
	{ 0x292453f2, "xfrm_audit_policy_add" },
	{ 0x170a26a, "xfrm_find_acq_byseq" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x44ca6d95, "init_net" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0xb70b7be3, "xfrm_alloc_spi" },
	{ 0x26217a01, "xfrm_find_acq" },
	{ 0xb2329d9c, "sock_no_bind" },
	{ 0xebf228d8, "sock_no_connect" },
	{ 0x93e894bf, "sock_no_socketpair" },
	{ 0x4f537bd4, "sock_no_accept" },
	{ 0xe5f8734b, "sock_no_getname" },
	{ 0xb1403eb5, "datagram_poll" },
	{ 0xab958478, "sock_no_ioctl" },
	{ 0xb34fe3be, "sock_no_listen" },
	{ 0xaccf6516, "sock_no_shutdown" },
	{ 0xc0ddf82, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1362cf, "proto_register" },
	{ 0x52c2684c, "register_pernet_subsys" },
	{ 0x681e26f6, "sock_register" },
	{ 0xd11427a6, "unregister_pernet_subsys" },
	{ 0x14043d35, "xfrm_register_km" },
	{ 0x396bcea4, "proto_unregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdd0fafc2, "skb_clone" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3531e71b, "sock_rfree" },
	{ 0xa920df5b, "skb_queue_tail" },
	{ 0x3ea17657, "kfree_skb_reason" },
	{ 0x4cc77ebd, "__alloc_skb" },
	{ 0xe6975a54, "skb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0x5fd53da, "xfrm_policy_walk" },
	{ 0x431e480a, "xfrm_policy_walk_done" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x85c3d42a, "skb_recv_datagram" },
	{ 0xec5edcc4, "skb_copy_datagram_iter" },
	{ 0x6e528c41, "skb_free_datagram" },
	{ 0x315e53d6, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xd5798df8, "skb_copy" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x5cf542bd, "xfrm_state_walk_done" },
	{ 0x287a2746, "xfrm_state_walk" },
	{ 0x7673f73e, "xfrm_state_lookup" },
	{ 0x5d56f3c7, "remove_proc_entry" },
	{ 0x745393da, "sock_i_ino" },
	{ 0xc30bd5a6, "sock_i_uid" },
	{ 0x1cd6598c, "from_kuid_munged" },
	{ 0x6585a74d, "seq_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0xb6d10d0, "xfrm_unregister_km" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x28e23139, "xfrm_probe_algs" },
	{ 0xa575945, "xfrm_count_pfkey_auth_supported" },
	{ 0x7a8ca627, "xfrm_count_pfkey_enc_supported" },
	{ 0xb73be794, "xfrm_ealg_get_byidx" },
	{ 0xc6b1fdbe, "xfrm_aalg_get_byidx" },
	{ 0x6962ae62, "xfrm_policy_flush" },
	{ 0x6ac1bb24, "km_policy_notify" },
	{ 0x73612d6d, "xfrm_state_flush" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "5212B06BDF22C61446E6D4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
