#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0xb8e24195, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x94091c45, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xbfd4fe86, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x6b23679a, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x89ab6c12, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xfd093ceb, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0xc8934c9e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0xcefc7577, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x2f60e25c, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xcb362a14, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x4a501041, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x6476f724, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x322351c6, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x79aac9c5, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x10c78746, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xadcfe178, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x6d180e41, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xadf6034e, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x833b92c8, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x8e6e303b, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xb1045f97, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf900888f, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb9c2e2b5, "trace_event_buffer_reserve" },
	{ 0x1929b158, "trace_event_buffer_commit" },
	{ 0x8da0ae03, "__trace_trigger_soft_disabled" },
	{ 0xa3a1c4b4, "trace_raw_output_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xfb6c176d, "trace_event_printf" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd1bf36b, "bpf_trace_run1" },
	{ 0x3fe51d75, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5727fb1c, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xd4f1b4f6, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xbddebbbc, "sk_error_report" },
	{ 0xc7a98a4b, "ip_icmp_error" },
	{ 0x23f934d3, "ipv6_icmp_error" },
	{ 0xf564e54, "sock_create_kern" },
	{ 0xdb695404, "kernel_bind" },
	{ 0xeebd4961, "kernel_connect" },
	{ 0x2107dc41, "udp_sock_create6" },
	{ 0xa9a03082, "kernel_sock_shutdown" },
	{ 0x3c208b98, "sock_release" },
	{ 0xd8871c93, "udp_sock_create4" },
	{ 0xfe9c29c2, "kmalloc_caches" },
	{ 0x68bb6286, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3fbc100b, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1392660, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3ea17657, "kfree_skb_reason" },
	{ 0xbd9884c0, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2cc61ff2, "udp_set_csum" },
	{ 0x10685078, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf259ee5d, "pskb_expand_head" },
	{ 0x7310cf81, "udp6_set_csum" },
	{ 0x6ba71d9, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa267299f, "dst_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xbbcf92fd, "sockfd_lookup" },
	{ 0x7849e24a, "lock_sock_nested" },
	{ 0xc81db28d, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x796ae5bf, "fput" },
	{ 0xcaac5216, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa920df5b, "skb_queue_tail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfa5691c8, "__pskb_pull_tail" },
	{ 0xf753b1b3, "trace_event_reg" },
	{ 0x759bb3c6, "trace_event_raw_init" },
	{ 0xe85a3af2, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "238E3FD2D242A32BA3D21D5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
